<div dir="ltr">Matt,<div><br></div><div>For compatibility reasons, we use 2.4.1, which is pinned in the requirements of the riak_pb package. We intend to move to 2.5 for later releases.</div></div><div class="gmail_extra">
<br><br><div class="gmail_quote">On Tue, Jul 30, 2013 at 11:02 PM, Matt Black <span dir="ltr"><<a href="mailto:matt.black@jbadigital.com" target="_blank">matt.black@jbadigital.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<div dir="ltr">Hello list, 
<div><br></div><div>I've been eagerly awaiting the latest update to the python bindings, so it was with great enthusiasm that I started on it this morning!</div><div><br></div><div>However, I'm unable to install the latest v2.5 of protobuf. Has anyone else had problems? Presumably it works for others on different setups. (Sean?)</div>


<div><br></div><div><div><font face="courier new, monospace" size="1">(test)vagrant@boomerang:/tmp/protobuf-2.5.0/python > python setup.py build</font></div><div><font face="courier new, monospace" size="1">running build</font></div>


<div><font face="courier new, monospace" size="1">running build_py</font></div><div><font face="courier new, monospace" size="1">Generating google/protobuf/unittest_pb2.py...</font></div><div><font face="courier new, monospace" size="1">google/protobuf/unittest_import.proto:53:8: Expected a string naming the file to import.</font></div>


<div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto: Import "google/protobuf/unittest_import.proto" was not found or had errors.</font></div><div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:97:12: "protobuf_unittest_import.ImportMessage" is not defined.</font></div>


<div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:101:12: "protobuf_unittest_import.ImportEnum" is not defined.</font></div><div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:107:12: "protobuf_unittest_import.PublicImportMessage" is not defined.</font></div>


<div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:135:12: "protobuf_unittest_import.ImportMessage" is not defined.</font></div><div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:139:12: "protobuf_unittest_import.ImportEnum" is not defined.</font></div>


<div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:165:12: "protobuf_unittest_import.ImportEnum" is not defined.</font></div><div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:216:12: "protobuf_unittest_import.ImportMessage" is not defined.</font></div>


<div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:221:12: "protobuf_unittest_import.ImportEnum" is not defined.</font></div><div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:227:12: "protobuf_unittest_import.PublicImportMessage" is not defined.</font></div>


<div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:256:12: "protobuf_unittest_import.ImportMessage" is not defined.</font></div><div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:261:12: "protobuf_unittest_import.ImportEnum" is not defined.</font></div>


<div><font face="courier new, monospace" size="1">google/protobuf/unittest.proto:291:12: "protobuf_unittest_import.ImportEnum" is not defined.</font></div><div><font face="courier new, monospace" size="1"><br></font></div>


<div><font face="courier new, monospace" size="1">vagrant@boomerang:~ > uname -a</font></div><div><font face="courier new, monospace" size="1">Linux boomerang 3.2.0-29-virtual #46-Ubuntu SMP Fri Jul 27 17:23:50 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux</font></div>


<div><font face="courier new, monospace" size="1"><br></font></div><div><font face="courier new, monospace" size="1">vagrant@boomerang:~ > lsb_release -a</font></div><div><font face="courier new, monospace" size="1">No LSB modules are available.</font></div>


<div><font face="courier new, monospace" size="1">Distributor ID: Ubuntu</font></div><div><font face="courier new, monospace" size="1">Description:    Ubuntu 12.04.2 LTS</font></div><div><font face="courier new, monospace" size="1">Release:        12.04</font></div>


<div><font face="courier new, monospace" size="1">Codename:       precise</font></div></div></div>
<br>_______________________________________________<br>
riak-users mailing list<br>
<a href="mailto:riak-users@lists.basho.com">riak-users@lists.basho.com</a><br>
<a href="http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com" target="_blank">http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com</a><br>
<br></blockquote></div><br><br clear="all"><div><br></div>-- <br>Sean Cribbs <<a href="mailto:sean@basho.com" target="_blank">sean@basho.com</a>><div>Software Engineer</div><div>Basho Technologies, Inc.</div><div><a href="http://basho.com/" target="_blank">http://basho.com/</a></div>

</div>